/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 * <p>
 * https://www.renren.io
 * <p>
 * 版权所有，侵权必究！
 */

package test.com.pjilisense.flxai.controller;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import test.com.pjilisense.flxai.TestUtils;

import java.util.HashMap;
import java.util.Map;

public class AppToolsSetControllerTest {
    @BeforeEach
    public void setUpTestDataWithinTransaction() {
        // set up test data within the transaction
    }
    @AfterEach
    public void tearDownWithinTransaction() {
        // execute "tear down" logic within the transaction
    }

    @Test
    public void testGetAllAiTools() {
        String url = TestUtils.WebconnectURL+"/api/robot/apptoolsset/getAllAiTools";
        String charset = TestUtils.UTF8;
        try {
//            Map<String, Object> params = new HashMap<String, Object>();
//            params.put("message","宁夏有什么好吃的");
//            String body = TestUtils.doPost(url, JSON.toJSONString(params), charset);
            String body = TestUtils.doGet(url, charset);
            System.out.println(body);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}